Configuration of external presentations admin API Resource

System parameters handling WS

GET /admin/externalpresentations

Get list of configurations for external presentations

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with list of configurations for external presentations

Example of response:

{"list":[{"id":"1","description":"configuration description","parentClass":"parent class name","domainName":"Domain name"}]}

POST /admin/externalpresentations

Add configuration for external presentation.

Example of request:

{"description":"Description","parentClassLabel":"Parent Class Label","parentClassId":10,"domainId":1,"domainName":"Domain Name","url4GetQuerries":"https://host/api/v2/floor/function/getpossiblequeries","url4QueryCall":"https://host/api/v2/floor/function/ExecuteQuery?cadkey={GUID}&queryid={queryId}&format=fmaccess"}

Try it out!

Request Body
media type data type description
application/json string (JSON) The specification of configuration that has to be added.
Response Body
media type data type description
application/json HdcSuccessWithId (JSON) JSON with added configuration ID.

{"id":"1","success":true}

DELETE /admin/externalpresentations/{configId}

Delete configuration of external presentation.

Try it out!

Request Parameters
name type description default constraints
configId path ID of configuration to be deleted   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information about operation's result

GET /admin/externalpresentations/{configId}

Get configuration for external presentation by its id

Try it out!

Request Parameters
name type description default constraints
configId path   long
Response Body
media type data type description
application/json ExternalPresentationConfig (JSON) JSON Response with configuration for external presentation by its id

Example of response:

{"id":1,"description":"Description","parentClassLabel":"Parent Class Label","parentClassId":10,"domainId":1,"domainName":"Domain Name","url4GetQuerries":"https://host/api/v2/floor/function/getpossiblequeries","url4QueryCall":"https://host/api/v2/floor/function/ExecuteQuery?cadkey={GUID}&queryid={queryId}&format=fmaccess"}

PUT /admin/externalpresentations/{configId}

Update configuration for external presentation.

Example of request:

{"id":1,"description":"Description","parentClassLabel":"Parent Class Label","parentClassId":10,"domainId":1,"domainName":"Domain Name","url4GetQuerries":"https://host/api/v2/floor/function/getpossiblequeries","url4QueryCall":"https://host/api/v2/floor/function/ExecuteQuery?cadkey={GUID}&queryid={queryId}&format=fmaccess"}

Try it out!

Request Parameters
name type description default constraints
configId path   long
Request Body
media type data type description
application/json string (JSON) The specification of configuration that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information about operation's result